Add multiple items to a campaign
curl --request POST \
--url https://api.starleads.co/CampaignItem/{campaignId}/bulk-add-items \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"items": [
{
"phoneNumber": "<string>",
"dataBag": {},
"nextTryDate": "<string>"
}
]
}
'import requests
url = "https://api.starleads.co/CampaignItem/{campaignId}/bulk-add-items"
payload = { "items": [
{
"phoneNumber": "<string>",
"dataBag": {},
"nextTryDate": "<string>"
}
] }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({items: [{phoneNumber: '<string>', dataBag: {}, nextTryDate: '<string>'}]})
};
fetch('https://api.starleads.co/CampaignItem/{campaignId}/bulk-add-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": [
{
"item": {
"phoneNumber": "<string>",
"dataBag": {},
"nextTryDate": "<string>"
},
"errorDescription": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}CampaignItem
Add multiple items to a campaign
Allows adding multiple items to a specific campaign identified by campaignId. Authentication is required using an API key passed in the X-Api-Key header. You can retrieve your API key from your profile when logged in to Starleads.
POST
/
CampaignItem
/
{campaignId}
/
bulk-add-items
Add multiple items to a campaign
Authorizations
Headers
Path Parameters
ID of the campaign.
Body
application/jsontext/jsonapplication/*+json
Show child attributes
Show child attributes
Response
Success
Show child attributes
Show child attributes
⌘I

